---
##################
# Build & Publish#
##################

kind: pipeline
name: build and publish

steps:
  - name: build
    image: klakegg/hugo:alpine
    commands:
      - hugo -d /tmp/.build/public
    volumes:
      - name: hugo
        path: /tmp/.build/public
  - name: publish
    image: drillster/drone-rsync
    settings:
      user: root
      delete: true
      recursive: true
      args: "-v"
      key:
        from_secret: key
      hosts:
        - box.unbl.ink
      source: /tmp/.build/public/
      target: /home/user-data/www/roo.news/
      secrets: [ key ]
    volumes:
      - name: hugo
        path: /tmp/.build/public
  - name: build success notification
    image: parrazam/drone-ntfy
    when:
        status: [success]
    settings:
      url: https://ntfy.unbl.ink
      topic: drone
      priority: low
      tags:
        - cd
        - failure
        - vrobbler
  - name: build failure notification
    image: parrazam/drone-ntfy
    when:
        status: [failure]
    settings:
      url: https://ntfy.unbl.ink
      topic: drone
      priority: high
      tags:
        - cd
        - success
        - vrobbler
volumes:
  - name: docker
    host:
      path: /var/run/docker.sock
  - name: hugo
    host:
      path: /tmp/cache/drone/hugo
